CREATE DATABASE NewsFeed
GO

USE NewsFeed
GO

CREATE TABLE FeedsUser
(
UserId INT IDENTITY(1,1) NOT NULL,
FirstName VARCHAR(50) NOT NULL,
LastName VARCHAR(50),
AspNetUserId NVARCHAR (450) NOT NULL,
CONSTRAINT [PK_FeedUser] PRIMARY KEY (UserId ASC)
)
GO

CREATE TABLE NewsCategory
(
CategoryId INT IDENTITY(1,1) NOT NULL,
CategoryName VARCHAR(50) NOT NULL,
CONSTRAINT [PK_CategoryNews] PRIMARY KEY (CategoryId ASC)
)
GO

CREATE TABLE News
(
NewsId INT IDENTITY(1,1) NOT NULL,
NewTitle VARCHAR(50) NOT NULL,
NewDescription TEXT NOT NULL,
UserCreated INT NOT NULL,
UsersSubscribed VARCHAR(300),
NewsCategory INT NOT NULL,
CONSTRAINT [PK_News] PRIMARY KEY (NewsId ASC),
CONSTRAINT [FK_User_News] FOREIGN KEY (UserCreated) REFERENCES FeedsUser (UserId),
CONSTRAINT [FK_Category_News] FOREIGN KEY (NewsCategory) REFERENCES NewsCategory (CategoryId)
)